The Opportunity Type object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

description string
The Opportunity Type object
{
  "id": "opportunity-type_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "description": "description_example"
}
GET /api/crm/opportunity-type/{id}

Retrieve a opportunity type

Retrieves the details of an existing opportunity type. Supply the unique opportunity type ID that was returned from a previous request.

Path parameters

id string required

The identifier of the opportunity type to retrieve.

Returns

Returns the opportunity type object if a valid identifier was provided.

GET /api/crm/opportunity-type/{id}
curl https://api.overplane.dev/api/crm/opportunity-type/opportunity-type_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "opportunity-type_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "description": "description_example"
}
GET /api/crm/opportunity-type

List all opportunity types

Returns a list of opportunity types. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of opportunity type objects.

GET /api/crm/opportunity-type
curl https://api.overplane.dev/api/crm/opportunity-type \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "opportunity-type_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "description": "description_example"
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/crm/opportunity-type

Create a opportunity type

Creates a new opportunity type object.

Body parameters

description string

Returns

Returns the newly created opportunity type object if the call succeeded.

POST /api/crm/opportunity-type
curl https://api.overplane.dev/api/crm/opportunity-type \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json"
Response
{
  "id": "opportunity-type_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "description": "description_example"
}
PATCH /api/crm/opportunity-type/{id}

Update a opportunity type

Updates the specified opportunity type by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the opportunity type to update.

Body parameters

description string

Returns

Returns the updated opportunity type object.

PATCH /api/crm/opportunity-type/{id}
curl https://api.overplane.dev/api/crm/opportunity-type/opportunity-type_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"description":"description_example"}'
Response
{
  "id": "opportunity-type_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "description": "description_example"
}
DELETE /api/crm/opportunity-type/{id}

Delete a opportunity type

Permanently deletes a opportunity type. This cannot be undone.

Path parameters

id string required

The identifier of the opportunity type to delete.

Returns

Returns a confirmation that the opportunity type has been deleted.

DELETE /api/crm/opportunity-type/{id}
curl https://api.overplane.dev/api/crm/opportunity-type/opportunity-type_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "opportunity-type_abc123",
  "deleted": true
}